Why doesn't VPS it support .Net 3.0?

Discussion in 'Pre-Sales' started by Codetang, Sep 11, 2007.

  1. Codetang

    Codetang Guest

    Why doesn't VPS support .Net 3.0?

    Hi,

    I just got done on LiveChat talking with Prabhakar. I was going to sign up for a VPS account but was told that it only supports .Net 1.1/2.0.

    I was just wondering why? I will not be able to create a VPS account without .Net 3.0 support.

    Thanks.
  2. Penhall

    Penhall Perch

    Re: Why doesn't VPS support .Net 3.0?

    ..uhmm, you mean ASP.net 1.1 and ASP.net 2.0

    ASP.net 3.5 is in beta...

    .NET 3.0 is a framework --- thinking there may be some confusion here.
  3. Codetang

    Codetang Guest

    Re: Why doesn't VPS support .Net 3.0?

    The programs I wrote require that .net framework 3.0 be installed in order for them to run.
  4. Penhall

    Penhall Perch

    Re: Why doesn't VPS support .Net 3.0?

    I'm no expert, but I believe there is no ASP.net changes from the 2.0 to 3.0 framework - the 3.0 is windows app orientated.

    I was just pointing out the fact that stating 1.1 and 2.0 may be based on some confusion between asp.net and .NET itself.

    The server admins would know better what framework can/is installed on the VPS servers.
  5. Codetang

    Codetang Guest

    Re: Why doesn't VPS support .Net 3.0?

    I am not using asp.net. I am building a windows application for my VPS. It needs .Net Framework 3.0 installed.

    Then I don't understand why I can have 3.0 installed on my shared server for DLL support but I can't have it installed on my VPS. I thought VPS was supposed to be more flexible then shared, but I guess not.

    I am not building a website, I don't need asp.net. I'm a Windows programmer. I don't know anything about asp.net. They are completely different.
  6. Codetang

    Codetang Guest

    Re: Why doesn't VPS support .Net 3.0?

    It says right on the main signup page:

    Its not ASP.Net. If they don't support .Net Framework 3.0 and only the older versions, then that's fine. I will cancel my VPS account and use a different host.

    I just need to know why its not supported. It can even be installed on my shared account but its a special request item.
  7. Stephen

    Stephen US Operations Staff Member

    Re: Why doesn't VPS support .Net 3.0?

    You can install .net 3 fine, it just doesn't come pre-installed.
  8. Codetang

    Codetang Guest

    Re: Why doesn't VPS support .Net 3.0?

    Great!

    Thanks, Stephen. :]
  9. Stephen

    Stephen US Operations Staff Member

    Re: Why doesn't VPS support .Net 3.0?

    oh yes, just a note on this, install it from the redistributable pack NOT the windows update.
  10. Codetang

    Codetang Guest

    Re: Why doesn't VPS support .Net 3.0?

    OK, Thanks.

Share This Page

JodoHost - 26,000 hosting end-users in 100 countries
Plesk Web Hosting
VPS Hosting
H-Sphere Web Hosting
Other Services